Skip to main content
POST
Find similar

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Query Parameters

expand
enum<string>[]

Expandable response fields. Repeat the parameter to request multiple expansions.

Supported values:

  • workforce: costs 5 credits per company and adds the workforce field to CompanyInfo.
Available options:
workforce
waitForEnrichment
boolean
default:true

Whether to wait for on-demand enrichment when a seed company is not stored yet. When false, valid missing domains are scheduled for background enrichment and the request returns a 404 if any seed company is missing, so it can be retried with a stable seed set later. This only controls seed-company enrichment; preparing a similarity vector for a stored company may still require processing.

Body

application/json
domain
string | null

The domain to find similar companies for. This is deprecated, use domains instead. Using domains with a single domain acts the same as using the domain parameter.

page
integer<int32>

The page number to return. Must be greater than 0

pageSize
integer<int32>

The number of results to return. Must be between 1 and 100

Required range: 1 <= x <= 100
domains
string[]

The domains to find similar companies for. Up to 10 domains are allowed.

Required array length: 1 - 10 elements
similarityWeight
number<double>

The similarity weight to apply to the results. Must be between -1 and 1. 0 is default. Larger values will prioritize more similar companies, smaller values will prioritize more established companies.

Required range: -1 <= x <= 1
minScore
number<double> | null

The minimum similarity score required for results. Must be between 0 and 1. When omitted, the default cutoff is used.

Required range: 0 <= x <= 1
exclude
object | null

Exclusion filters to apply on the companies. If a company matches any of the filters here, it will be excluded from the results.

query
string | null

The search query to apply on the company name and domain

Maximum string length: 250
foundedYear
object | null

The range of years

fundingAmount
object | null

The funding amount range to filter by

fundingYear
object | null

The range of years

categoryOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
keywordsOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
technologiesOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
workforceGrowth
object | null

Filter companies by workforce growth percentage over a selected period and department.

workforceSize
object[] | null

Filter companies by absolute workforce headcount. Multiple entries can be provided to filter on different departments simultaneously.

require
enum<string>[] | null

The features that must exist for the company

Available options:
linkedin,
twitter,
facebook,
instagram,
angellist,
crunchbase,
youtube,
country,
city,
state,
revenue,
foundedYear,
anyFunding
regions
string[] | null

The region IDs to filter by

countries
string[] | null

The 2 letter country codes to filter by

states
integer<int32>[] | null

The state IDs to filter by

cities
integer<int32>[] | null

The city IDs to filter by

type
enum<string>[] | null

The list of company types to filter by

Available options:
private,
public,
self-employed,
self-owned,
partnership,
nonprofit,
educational,
government
category
enum<string>[] | null

The list of company categories to filter by

Available options:
b2b,
b2c,
b2g,
e-commerce,
media,
service-provider,
mobile,
saas,
local-business
employees
enum<string>[] | null

The list of employee counts to filter by

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K
reportedEmployees
enum<string>[] | null

The list of externally reported employee counts to filter by

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K
revenue
enum<string>[] | null

The list of revenue ranges to filter by

Available options:
under-1m,
1m-10m,
10m-50m,
50m-100m,
100m-200m,
200m-1b,
over-1b
naicsCode
integer<int32>[] | null

The NAICS codes to filter by. Can be 2 to 6 digit codes. In case of a 2-5 digit code, all 6 digit codes under it will be included

keywords
string[] | null

The keywords to filter by

technologies
string[] | null

The technologies to filter by

fundingRounds
enum<string>[] | null

The funding rounds to filter by

Available options:
seed,
debt_financing,
angel,
venture,
series_a,
series_b,
series_c,
series_d,
series_e,
series_f,
series_g,
series_h,
other

Response

OK

items
object[]
required

The items in the list

metadata
object | null

The additional metadata for the list

page
integer<int32>

The current page number. 1-indexed

totalPages
integer<int32>

The total number of pages

totalItems
integer<int32>

The total number of items in the list